
CoCoA-5 - Support #1222

Release CoCoA-5.3.0

28 Aug 2018 14:36 - John Abbott

Status: Closed Start date: 28 Aug 2018

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Release Estimated time: 3.99 hours

Target version: CoCoA-5.3.0 Spent time: 3.90 hours

Description

Everything for the release

CHECK FOR BUGS

    Compile with --debug flag, and check that everything runs OK.

    In src/CoCoA-5/ run make ManExamples, and check that everything is OK.

 

Redmine Roadmap: close or postpone issue

    Redmine Release issues: check percentages, check timings

    Last check to CoCoALib doc, CoCoA-5 doc and RelNotes, TranslationTable.

    Finalize

 

&lt;version number for CoCoALib release&gt; configuration/version

    &lt;version number for CoCoA-5 release&gt; CoCoA-5/release-files/version

    &lt;cvs checkout in snapshot dir&gt;

 

cd &lt;snapshotdir&gt;

    configure --again

    make

    cd src/CoCoA-5

    time make doc

    time make ManExamples (~4min, and search "ERROR:" in ManExamples-out)

 

RELEASE FOR MAC FOR LINUX

cd src/CoCoA-5/release-files

    ./release-mac.sh (local)

    ./release-linux.sh (on virtual machine 64-bit and on 32-bit)

 

RELEASE COCOALIB

<~/shell-scripts/cocoalib-cvs-snapshot>

    ---- make release for CoCoALib ----

 

RELEASE FOR WIN

copy cocoalib tgz on windows virtual machine

    compile windows text version on virtual machine, copy CoCoAInterpreter from SharedFolder into 

local dir

    ./release-win.sh

    (ask someone for windows gui version...)

29 Apr 2024 1/4



 

WEBSITE

update /Volumes/WWW/webcocoa/download/download5.shtml

    update /Volumes/WWW/webcocoa/download/RelNotes.shtml

    [[http://cocoa.dima.unige.it/download/RelNotes.shtml]]

 

upload manual

    publish manual (arXiv? ResearchGate?)

 

close release on Redmine

 

---> send message to facebook page

---> send email

---> update list with undelivered emails

Related issues:

Related to CoCoA-5 - Feature #1231: system command Closed 26 Oct 2018

Related to CoCoA-5 - Design #1348: cocoa5 script for releases Closed 23 Oct 2019

Related to CoCoA-5 - Feature #1367: CoCoA-5.3.0: release linked with more rec... Closed 24 Nov 2019

Related to CoCoA-5 - Feature #1373: GFan also for Microsoft? In Progress 04 Dec 2019

Related to CoCoA-5 - Support #1387: John's visit Feb 2020 Closed 07 Jan 2020

History

#1 - 28 Aug 2018 14:37 - John Abbott

Summary of things to put into release notes:

added new fn RandomPermutation

removed old fn NewRingFp  (use NewZZmod instead!) -- now OBSOLESCENT

RandomSubset now works also with just 1 arg (prev needed 2 args)

added new fn FixedDivisor (just for univariates, currently)

added new fns IsEvenPoly and IsOddPoly

added SystemCommand

added read input capability: GetLine and StandardInput(), also OpenIFile and OpenIString

corrected bug in RealRoots (gave error when input was a monomial, i.e. a power of x)

added new fn IndetsProd  (for polys and list of polys)

added new fn assert (just for use during development!)

updated (old C4 package) thmproving.cpkg5

function len no longer works for polys, matrices, and something else...

#2 - 20 Sep 2019 16:10 - John Abbott

- Related to Feature #1231: system command added

#3 - 09 Oct 2019 10:04 - John Abbott

- Description updated
#4 - 09 Oct 2019 10:04 - John Abbott

- Description updated

#5 - 11 Oct 2019 22:14 - John Abbott

- Subject changed from Release CoCoA-5.2.6 to Release CoCoA-5.3.0

I have revised the title since we changed the planned version number ;-)

#6 - 23 Oct 2019 15:28 - Anna Maria Bigatti

- Related to Design #1348: cocoa5 script for releases added

#7 - 30 Oct 2019 11:20 - John Abbott

I have compiled CoCoA-5 (current CVS) on my little 32-bit netbook (with readline but no other extlibs).  Compilation was successful (but very slow);

compiler is gcc-6.3.0.

All tests passed (took 5min+35sec) after I removed the 30-sec limit.  The radical test is really too slow :-(

#8 - 24 Nov 2019 12:56 - John Abbott

- Related to Feature #1367: CoCoA-5.3.0: release linked with more recent version of normaliz added

#9 - 04 Dec 2019 15:22 - John Abbott

- Related to Feature #1373: GFan also for Microsoft? added

#10 - 14 Feb 2020 13:51 - John Abbott

- Related to Support #1387: John's visit Feb 2020 added

#11 - 15 Feb 2020 10:36 - John Abbott

- % Done changed from 0 to 60

#12 - 09 Mar 2020 10:26 - Anna Maria Bigatti

updated starting page: https://cocoa.dima.unige.it/redmine/

#13 - 10 Mar 2020 15:12 - John Abbott

- Status changed from New to In Progress

#14 - 14 Mar 2020 12:08 - John Abbott

There's a new version of GMP!!  Released almost 2 months ago, but I didn't notice.... odd!

#15 - 24 Mar 2020 22:37 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 60 to 90

release for windows done (maybe)

#16 - 30 Apr 2020 14:43 - John Abbott

Close because subsumed by issue #1450?

#17 - 30 Apr 2020 15:12 - John Abbott

- Status changed from Feedback to Closed

- Assignee set to Anna Maria Bigatti
- % Done changed from 90 to 100

- Estimated time set to 3.99 h

This has been subsumed by the impending release of 5.3.2 which contains two important bug fixes.

Closing this issue: refer to #1450
